kdatewidget.h
/* This file is part of the KDE libraries
Copyright (C) 2001 Waldo Bastian (bastian@kde.org)
This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License version 2 as published by the Free Software Foundation.
This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Library General Public License for more details.
You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB. If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.
*/
#ifndef __KDATECTL_H__
#define __KDATECTL_H__
#include <qwidget.h>
#include <qdatetime.h>
#include <kdelibs_export.h>
class KDEUI_EXPORT KDateWidget : public QWidget
{
Q_OBJECT
Q_PROPERTY( QDate date READ date WRITE setDate )
public:
KDateWidget( QWidget *parent=0, const char *name=0 );
KDateWidget( QDate date, QWidget *parent=0, const char *name=0 );
virtual ~KDateWidget();
QDate date() const;
void setDate(QDate date);
signals:
void changed(QDate);
protected:
void init();
void init(const QDate&);
protected slots:
void slotDateChanged();
protected:
virtual void virtual_hook( int id, void* data );
private:
class KDateWidgetPrivate;
KDateWidgetPrivate *d;
};
#endif
KDateWidget
A pushbutton to display or allow user selection of a date.
Definition: kdatewidget.h:36

KDE Home | KDE Accessibility Home | Description of Access Keys